#include "Adafruit_VL53L0X.h"
#include <Arduino.h>

Adafruit_VL53L0X lox = Adafruit_VL53L0X();

void error(const __FlashStringHelper*err) {
  Serial.println(err);
  while (1);
}

void setup() {
  Serial.begin(115200);

  if (!lox.begin()) {
    Serial.println(F("Failed to boot VL53L0X"));
    while(1);
  }
}

void loop() {
  VL53L0X_RangingMeasurementData_t measure;
    
  Serial.print("Reading a measurement... ");
  lox.rangingTest(&measure, false); // pass in 'true' to get debug data printout!

  if (measure.RangeStatus != 4) {  // phase failures have incorrect data
    Serial.print("Distance (mm): "); Serial.println(measure.RangeMilliMeter);
    if (measure.RangeMilliMeter > 50){
        Serial.println("Movement!");
      }
  } else {
    Serial.println(" out of range ");
  }
    
  delay(100);
}
